hpct-ssh(1)

NAME
hpct-ssh - HiPerConTracer SSH via Reverse Tunnel

SYNOPSIS
hpct-ssh USER@NODE_ID
[-c | --copy-id]
[-q | --quiet] [-w | --verbose]
[- -] SSH_ARGUMENTS ...
hpct-ssh [-h | --help]
hpct-ssh [-v | --version]

DESCRIPTION
hpct-ssh is the HiPerConTracer SSH script. It is to be run on the Collector and provides SSH login via reverse tunnel to a given node.

ARGUMENTS
The following arguments can be provided:

USER@NODE_ID
    SSH user name, and node ID of the node to establish a SSH connection to.

-q | --quiet
    Turns off status output.

-w | --verbose
    Turns on status output.

-c | --copy-id
    Calls ssh-copy-id first, in order to configure public/private key-based authentication to the remote node. If successful, SSH is tried. This should provide a password-less login.

- - All arguments after -- are provided to the SSH call.

-h | --help
    Prints command help.

-v | --version
    Prints program version.

EXIT STATUS
The hpct-ssh tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

hpct-ssh user@1000

hpct-ssh user@1000 --verbose

hpct-ssh user@1000 --copy-id --verbose

hpct-ssh user@1000 --quiet -- 'hostname; pactl list sources'

hpct-ssh --version

hpct-ssh -h

NOTES
This program is part of HiPerConTracer. The latest version of HiPerConTracer can be found on the HiPerConTracer Homepage at HiPerConTracer Homepage: https://www.nntb.no/~dreibh/hipercontracer/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh